# -*- coding: utf-8 -*-
#  Copyright (C) 2007, 2008, 2010 Stewart Adam
#  This file is part of fwfstab.

#  fwfstab is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.

#  fwfstab is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with fwfstab; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
"""
All constants in the program.
"""
import locale
import os
import sys
import getpass

# Paths
INSTALL_DIR = unicode( os.path.abspath(os.path.dirname(sys.argv[0])), locale.getpreferredencoding() )

USER = getpass.getuser()
UID = os.getuid()

OPTIONS = [
  ['auto', 'File system will auto-mounted when using `mount -a`'],
  ['noauto', 'Opposite of `auto\' option'],
  ['defaults', 'Use the default set of options (rw, suid, dev, exec, auto, nouser, async)'],
  ['dev', 'Do not ignore character or block special devices containted in the file system'],
  ['nodev', 'Opposite of `dev\' option'],
  ['exec', 'Allow executing binaries on the file system'],
  ['noexec', 'Opposite of `exec\' option'],
  ['ro', 'File system will be mounted read-only'],
  ['rw', 'File system will be mounted read-write'],
  ['suid', 'Do not ignore set-user-identifier or set-group-identifier bits on the file system'],
  ['nosuid', 'Opposite of `suid\' option'],
  ['user', 'Allows any user to (un)mount the file system (Implies `noexec, nosuid, nodev\' unless overridden)'],
  ['users', 'Allows any user to (un)mount (Implies `noexec, nosuid, nodev\' unless overridden)'],
  ['uid=###', 'Set the owner property of the files to user with UID ###'],
  ['gid=###', 'Set the group property of the files to group with GID ###'],
  ['umask=####', 'Set the permissions of files to #### (in octal permission representation)']
          ]
